/*
	CMameView_8Bit.h
	The BeMAME Team
	Created: 07/15/99 11:13:37
*/

#ifndef CMAMEVIEW_8BIT_H
#define CMAMEVIEW_8BIT_H

#include "CMameView.h"

class CMameView_8Bit : public CMameView {
public:
						CMameView_8Bit(
							BRect			inFrame);
						~CMameView_8Bit();
						
	virtual void		Draw(
							BRect			 inRect);

	virtual void		SetPenAtIdx(
							int32			inIdx,
							uint8			inRed,
							uint8			inGreen,
							uint8			inBlue);
	virtual void		Refresh();
	virtual BBitmap		*Bitmap() const { return mBitmap; }
	
private:
	static int32		RefreshEntry(
							void			*inObj);
	void				RefreshLoop();
	
	BBitmap		*mBitmap;
	thread_id	mRefreshTHID;
	sem_id		mRefreshSemID;
};

#endif
